%define upstream_name    CSS-Minifier-XS
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    XS based CSS minifier
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CSS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel


%{?perl_default_filter}

%description
'CSS::Minifier::XS' is a CSS "minifier"; its designed to remove
un-necessary whitespace and comments from CSS files, while also *not*
breaking the CSS.

'CSS::Minifier::XS' is similar in function to 'CSS::Minifier', but is
substantially faster as its written in XS and not just pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-8.mga6
+ Revision: 1024720
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.90.0-7.mga6
+ Revision: 957016
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.90.0-6.mga6
+ Revision: 843893
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 750025
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-4.mga5
+ Revision: 733012
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 683713
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.90.0-2.mga5
+ Revision: 630861
- Rebuild for perl 5.20

* Fri Feb 07 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 585325
- update to 0.09

* Sat Oct 19 2013 umeabot <umeabot> 0.80.0-6.mga4
+ Revision: 524227
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.80.0-5.mga4
+ Revision: 430557
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-4.mga3
+ Revision: 363719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.80.0-3.mga3
+ Revision: 250442
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.80.0-2.mga2
+ Revision: 103896
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 29846
- mageia rebuild
- imported package perl-CSS-Minifier-XS

